/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/



/* BASE STYLE */

.inline-block {
    display: inline-block;
    width: auto !important;
}

.position-relative {
    position: relative;
    z-index: 1;
}

#content {
    overflow: hidden;
    padding-top: 110px;
    position: relative;
    z-index: 1;
}
.gb-button-text {
    line-height: 1;
}
.btn-gradient:hover {
    background-image: linear-gradient(180deg, rgba(32,178,126,0.8) 0%, rgba(20,85,102,0.8) 100%)!important;
}


@media (max-width: 1025px) {
    #content {
        padding-top: 56px;
    }
}



/* CUSTOM FORM STYLE */


#szallashely-kereso .custom-search select {
    border: none;
    padding: 0;
    margin-left: -5px;
    background-color: #fff;
    width: 100%;
}


/* FORM STYLE */

#content .gravity-theme form .gfield_label {
    font-weight: 600;
    margin-bottom: 5px;
}
#content .gravity-theme form input,
#content .gravity-theme form textarea,
#content .gravity-theme form select {
    border: 2px solid #BEBEBE;
    border-radius: 10px;
    background-color: #fff;
}
#content .gravity-theme form .name_first {
    padding-right: 0;
}
#content .gravity-theme form .gform_footer {
    padding: 8px 0;
    justify-content: center;
}
#content .gravity-theme form .gform_footer input[type="submit"] {
    border: none;
    background: linear-gradient(180deg, rgba(32,178,126,1) 0%, rgba(20,85,102,1) 100%);
    margin-bottom: 0;
    letter-spacing: 0.05em;
    text-transform: uppercase;
    font-weight: 600;
    box-shadow: 0px 10px 20px 0px rgba(0,0,0,0.16);
    padding: 13px 45px;
}
#content .gravity-theme form .gform_footer input[type="submit"]:hover {
    background: linear-gradient(180deg, rgba(32,178,126,0.8) 0%, rgba(20,85,102,0.8) 100%);
}


/* TOPBAR STYLE */

#visitorstatus img {
    margin-right: 15px;
}


/* PRIMARY MENU STYLE */

#primary-menu ul li a {
    font-weight: 700;
}
.main-nav #menu-primary-1 .current-menu-item.anchor a {
    color: #0f0f0f;
}
.main-nav #menu-primary-1 .current-menu-item.anchor:hover a {
    color: #20B27E;
}
.main-nav #menu-primary-1 li:first-of-type a {
    padding-left: 0;
}
.main-nav #menu-primary-1 li:last-of-type a {
    padding-right: 0;
}


/* OFF CANVAS FILTER STYLE */

.woocommerce .widget_price_filter .price_slider_amount {
    display: flex;
    flex-wrap: wrap-reverse;
}

.woocommerce .widget_price_filter .ui-slider {
    z-index: 5;
}

.woocommerce .widget_price_filter .price_slider_amount .button {
    width: 100%;
}

#generate-slideout-menu .slideout-menu {
    padding-top: 40px;
}
#generate-slideout-menu .gb-button {
    border: none;
    border-radius: 24px;
    background: linear-gradient(180deg, rgba(32,178,126,1) 0%, rgba(20,85,102,1) 100%);
    margin-bottom: 0;
    letter-spacing: 0.05em;
    text-transform: uppercase;
    font-weight: 600;
    box-shadow: 0px 10px 20px 0px rgba(0,0,0,0.16);
    padding: 13px 45px;
}
#generate-slideout-menu .gb-button:hover {
    background: #145566;
}



/* YITH - Quick View fixes */

.yith-quick-view .yith-quick-view-content.woocommerce div.summary {
    top:  0;
}

.yith-quick-view .yith-quick-view-content.woocommerce div.summary div.quantity {
    display: flex;
}

.yith-quick-view .single-product .product .sale-perc {
    top: 37px;
    left: 5px;
    z-index: 5;
}

.yith-quick-view .single-product .product .product_meta {
    padding-top: 15px;
}

@media (max-width: 768px) {
    .product .wc-product-image .yith-wcqv-button {
        display: none !important;
    }
}



/* FRONT-PAGE STYLE */

#szallashely-kereso > .gb-inside-container {
    position: relative;
    z-index: 2;
}
#szallashely-kereso > .gb-inside-container > .gb-grid-wrapper {
    width: 100%;
    position: absolute;
    top: -210px;
}

#szallashely-kereso .gravity-theme form {
    background: #fff;
    border-radius: 10px;
    display: flex;
    flex-wrap: wrap;
    width: auto;
    max-width: fit-content;
    justify-content: space-between;
    align-items: center;
    min-width: 500px;
    box-shadow: 0 10px 20px 0 rgb(0 0 0 / 16%);
    background-image: linear-gradient(180deg, #20b27e, #145566);
}

#szallashely-kereso .gravity-theme form .gform_body {
    display: flex;
    flex-wrap: wrap;
    width: 80%;
    padding-right: 5px;
    background-color: #fff;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}

#szallashely-kereso .gravity-theme form .gform_body .gform_fields {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    padding-left: 10px;
    padding-top: 10px;
    justify-content: space-between;
}

#szallashely-kereso .gravity-theme form .gform_body .gform_fields .gfield.gfield--width-half {
    width: 47%;
}


#szallashely-kereso .gravity-theme form .gfield_label {
    color: #333333;
    margin-bottom: 0;
    padding-left: 5px;
}
#szallashely-kereso .gravity-theme form input,
#szallashely-kereso .gravity-theme form textarea,
#szallashely-kereso .gravity-theme form select {
    border: none;
    padding: 0 0 10px 5px;
}
#szallashely-kereso .gravity-theme form select {
    padding-left: 0;
}

#szallashely-kereso .gravity-theme form input:focus-visible,
#szallashely-kereso .gravity-theme form textarea:focus-visible,
#szallashely-kereso .gravity-theme form select:focus-visible {
    border: none;
    outline: none;
}

#szallashely-kereso .gravity-theme form .gform_footer {
    /*padding-bottom: 0;
    padding-top: 0;*/
    justify-content: center;
    width: 20%;
    align-items: self-start;
    text-align: right;
    height: 100%;
    margin-top: 0;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
}
#szallashely-kereso .gravity-theme form .gform_footer:hover {
    opacity: 0.8;
}

#szallashely-kereso .gravity-theme form .gform_footer input {
    width: auto;
    height: 40px;
    background-color: transparent;
    padding: 12px 5px 3px 5px;
}



@media (max-width: 768px) {
    #szallashely-kereso .gravity-theme form {
        min-width: unset;
        margin-bottom: 20px;
    }
    #szallashely-kereso .gravity-theme form input,
    #szallashely-kereso .gravity-theme form textarea,
    #szallashely-kereso .gravity-theme form select,
    #szallashely-kereso .gravity-theme form label {
        font-size: 12px;
    }

}

@media (min-width: 768px) {
    #szallashely-kereso .gravity-theme form .gfield_description {
        position: absolute;
        width: 30%;
        border-radius: 10px;
        margin-left: -10px;
        padding: 10px;
    }
}
#szalaguzenet .gb-inside-container {
    position: relative;
}
#szalaguzenet .gb-inside-container .gb-grid-wrapper {
    position: relative;
    z-index: 1;
}
#szalaguzenet .gb-inside-container .pattern {
    position: absolute;
    bottom: -50px;
    right: -330px;
    z-index: 0;
}

#szamokban .gb-inside-container {
    position: relative;
}
#szamokban .gb-inside-container .gb-grid-wrapper {
    position: relative;
    z-index: 1;
}
#szamokban .gb-inside-container .pattern {
    position: absolute;
    top: -260px;
    left: -400px;
    z-index: 0;
}

#szallaskategoriak .gb-inside-container {
    position: relative;
}
#szallaskategoriak .gb-inside-container .gb-grid-wrapper,
#szallaskategoriak .gb-container {
    position: relative;
    z-index: 1;
}
#szallaskategoriak .gb-inside-container .trending {
    position: absolute;
    top: -100px;
    left: -138px;
    z-index: 0;
    min-width: 1638px;
}
#szallaskategoriak .gb-inside-container {
    position: relative;
    height: 100%;
}
#szallaskategoriak .gb-inside-container .card-pattern {
    position: absolute;
    bottom: 0;
}
#szallaskategoriak .gb-inside-container h5 {
    position: absolute;
    bottom: 0;
    z-index: 1;
}

#turisztikai-regiok .gb-inside-container {
    position: relative;
    height: 100%;
}
#turisztikai-regiok .gb-inside-container .card-pattern {
    position: absolute;
    bottom: 0;
}
#turisztikai-regiok .gb-inside-container .title-box {
    position: absolute;
    bottom: 0;
    z-index: 1;
}

#ugyfelvelemenyek .wp-block-getwid-content-slider .slick-next {
    width: 50px;
    height: 50px;
    right: -100px;
}
#ugyfelvelemenyek .wp-block-getwid-content-slider .slick-next:before {
    content: "";
    background: url("../generatepress_child/img/circle-chevron-right-solid.svg;");
    width: 50px;
    height: 50px;
    position: absolute;
    top: 0;
}
#ugyfelvelemenyek .wp-block-getwid-content-slider .slick-prev {
    width: 50px;
    height: 50px;
    left: -100px;
    transform: rotate(180deg);
}
#ugyfelvelemenyek .wp-block-getwid-content-slider .slick-prev:before {
    content: "";
    background: url("../generatepress_child/img/circle-chevron-right-solid.svg;");
    width: 50px;
    height: 50px;
    position: absolute;
}
#ugyfelvelemenyek .wp-block-getwid-content-slider .slick-dots li button:before {
    font-size: 15px;
    color: #145566;
}


#blog .gb-inside-container {
    position: relative;
}
#blog .gb-inside-container .gb-grid-wrapper,
#blog .gb-container {
    position: relative;
    z-index: 1;
}
#blog .gb-inside-container .blog {
    position: absolute;
    top: -100px;
    left: -80px;
    z-index: 0;
    min-width: 932px;
}
#blog .card .img-box {
    position: relative;
}
#blog .card .img-box .category {
    position: absolute;
    bottom: 0px;
    left: 0;
}

#facebook {
    overflow: hidden;
}

#gyik .wp-block-getwid-accordion__header-title {
    font-size: 20px;
    color: #fff;
    font-weight: 700;
}
#gyik .wp-block-getwid-accordion__header-title:hover {
    color: #20B27E;
}
#gyik .wp-block-getwid-accordion__header-wrapper {
    border: none;
}
#gyik .wp-block-getwid-accordion__content {
    border: none;
    padding: 0.5em 2.5em 1.8em 3.6em;
}
#gyik .wp-block-getwid-accordion__header .fas {
    font-size: 1.75em;
}
#gyik .fa-chevron-circle-up:before {
    content: url("../generatepress_child/img/circle-chevron-up-solid.svg;");
}
#gyik .fa-chevron-circle-down:before {
    content: url("../generatepress_child/img/circle-chevron-up-solid.svg;");
}
#gyik .fa-chevron-circle-down {
   transform: rotate(180deg); 
   animation-duration: 4s;
}
#gyik .has-icon-left .wp-block-getwid-accordion__icon {
    margin: 0 1em 0 0;
}
#gyik .gb-inside-container {
    position: relative;
}
#gyik .gb-inside-container .gb-inside-container .gb-container {
    position: relative;
    z-index: 1;
}
#gyik .gb-inside-container .pattern-right {
    position: absolute;
    top: -260px;
    right: -400px;
    z-index: 0;
} 
#gyik .gb-inside-container .kirucc-logo-simple-big-white {
    position: absolute;
    bottom: 0;
    left: -210px;
    z-index: 0;
} 

#szallasadoknak .gb-inside-container {
    position: relative;
}
#szallasadoknak .gb-inside-container .gb-grid-wrapper {
    position: relative;
    z-index: 1;
}
#szallasadoknak .gb-inside-container .pattern-grey {
    position: absolute;
    bottom: -30px;
    right: -260px;
    z-index: 0;
} 

#kapcsolat .gb-inside-container {
    position: relative;
}
#kapcsolat.gb-inside-container .gb-inside-container .gb-container,
#kapcsolat form {
    position: relative;
    z-index: 1;
}
#kapcsolat .gb-inside-container .kirucc-logo-simple-big-grey {
    position: absolute;
    bottom: 5px;
    right: -250px;
    z-index: 0;
}


/* Footer STYLE */

#footer .gb-inside-container {
    position: relative;
}
#footer .gb-inside-container .gb-grid-wrapper {
    position: relative;
    z-index: 1;
}
#footer .gb-inside-container .pattern {
    position: absolute;
    top: -260px;
    left: -400px;
    z-index: 0;
}


@media (min-width: 768px) {  
    #ugyfelvelemenyek .wp-block-getwid-content-slider .slick-dots {
        bottom: -20px;
    }
}

@media (max-width: 1025px) {  
    #hero .gform_fields {
        display: block;
    }
    #hero .gform_fields .gfield--width-third {
        margin-bottom: 10px;
    }
}




 /* SZALLASADOKNAK PAGE */

#problemakezeles .gb-inside-container {
    position: relative;
}
#problemakezeles .gb-inside-container .gb-container,
#problemakezeles .gb-inside-container .gb-grid-wrapper {
    position: relative;
    z-index: 1;
}
#problemakezeles .gb-inside-container .pattern-right {
    position: absolute;
    top: -250px;
    right: -330px;
    z-index: 0;
}

#szallashirdetes-form .gb-inside-container {
    position: relative;
    z-index: 1;
}
#szallashirdetes-form .gravity-theme form .ginput_container_fileupload input {
    border: none;
    border-radius: unset;
    background-color: transparent;
}

#csomagajanlatok .csomagleiras {
    height: 240px;
}

@media (max-width: 1250px) {
    #csomagajanlatok .csomagleiras {
        height: 300px;
    }
}

@media (max-width: 950px) {
    #csomagajanlatok .csomagleiras {
        height: 250px;
    }
}

@media (max-width: 400px) {
    #csomagajanlatok .csomagleiras {
        height: 350px;
    }
}


/* CART PAGE STYLE */

@media (min-width: 1100px) {
    .woocommerce-cart .woocommerce {
      display: flex;
      flex-wrap: wrap;
    }

    .woocommerce-cart .woocommerce .woocommerce-cart-form__cart-item .product-thumbnail {
        padding: 0 10px;
        text-align: center;
        vertical-align: middle;
    }

    .woocommerce-cart .woocommerce .woocommerce-cart-form__cart-item .product-thumbnail img {
        width: 60px;
    }

    .woocommerce-cart .woocommerce .woocommerce-notices-wrapper,
    .woocommerce-cart .woocommerce .cart-empty {
        width: 100%;
    }

    /* The table containing the list of products and our custom elements */
    .woocommerce-cart .woocommerce-cart-form {
      flex: 1 0 70%; /* 100% at small screens; 70% on larger screens */
      padding-right: 15x;
    }

    /* The element that contains the cart totals */
    .woocommerce-cart .cart-collaterals {
      flex: 1 0 30%; /* 100% at small screens; 30% on larger screens */
      padding-left: 15px;
    }

    /* Some minor tweak to make sure the cart totals fill the space */
    .woocommerce-cart .cart-collaterals .cart_totals {
      width: 100%;
      padding: 0 20px 70px;
    }
}

@media (max-width:  768px) {
    .woocommerce-cart .woocommerce .woocommerce-cart-form__cart-item {
        margin: 5px 0;
    }
    .woocommerce-cart .woocommerce table.shop_table td, 
    .woocommerce-cart .woocommerce table.shop_table th {
        padding: 10px;
    }
    .woocommerce-cart .woocommerce .woocommerce-cart-form__cart-item .product-remove {
        display: inline-block;
        height: 70px;
        border: none;
        padding: 20px 10px;
        background: transparent;
    }

    .woocommerce-cart .woocommerce .woocommerce-cart-form__cart-item .product-thumbnail {
        display: inline-block !important;
        float: right;
        height: 70px;
        padding: 0;
        border: none;
        margin-right: 10px;
    }
    .woocommerce-cart .woocommerce .woocommerce-cart-form__cart-item .product-thumbnail:before {
        display: none;
    }
    .woocommerce-cart .woocommerce .woocommerce-cart-form__cart-item .product-thumbnail img {
        width: 70px;
    }

    .woocommerce-cart .woocommerce .woocommerce-cart-form__cart-item .product-name {
        border-top: 1px solid rgba(0,0,0,.1);
        margin-top: 5px;
    }
}

#wc-mini-cart .woocommerce.widget_shopping_cart .cart_list li a.remove {
    line-height: 16px;
    letter-spacing: -1px;
}

.woocommerce-cart .woocommerce a.remove {
    line-height: 16px;
}

/* CHECKOUT PAGE STYLE */

 #order_review .product-thumbnail {
    width: 52px; 
    height: 45px; 
    display: inline-block; 
    padding-right: 7px; 
    vertical-align: middle;
}



/* SHOP PAGE STYLE */

.wc-product-image .sale-perc {
    position: absolute;
    top: 35px;
    background-color: #ea5600;
    color: #ffffff;
    border-radius: 0;
    min-height: 15px;
    min-width: initial;
    padding: 8px 13px;
    line-height: 1;
    display: inline-block;
    left: auto;
    font-size: 80%;
    text-transform: uppercase;
    font-weight: 700;
    z-index: 5;
}

.wc-product-image .product-tag {
    position: absolute;
    top: 0px;
    background-color: #ea5600;
    color: #ffffff;
    border-radius: 0;
    min-height: 15px;
    min-width: initial;
    padding: 8px 13px;
    line-height: 1;
    display: inline-block;
    left: auto;
    right: 0;
    font-size: 80%;
    text-transform: uppercase;
    font-weight: 700;
    z-index: 5;
}

.wc-product-image .product-tag:nth-of-type(2) {
    top: 35px;
}

.wc-product-image .product-tag:nth-of-type(3) {
    top: 70px;
}

 /* SINGLE PRODUCT PAGE */

.single-product .product .sale-perc {
    position: absolute;
    top: 35px;
    background-color: #ea5600;
    color: #ffffff;
    border-radius: 0;
    min-height: 15px;
    min-width: initial;
    padding: 8px 13px;
    line-height: 1;
    display: inline-block;
    left: auto;
    font-size: 80%;
    text-transform: uppercase;
    font-weight: 700;
    z-index: 5;
}

@media (max-width: 768px) {
    .single-product .product span.onsale {
        position: absolute;
    }
}



/* SZÁLLÁSHELY CARD */

.property-card p.tb-heading.inline-block.vendeg:after {
    content: ' vendég';
}

.property-card p.tb-heading.inline-block.furdo:after {
    content: ' fürdő';
}

.property-card p.tb-heading.inline-block.haloszoba:after {
    content: ' háló';
}

.property-card .regio:after {
    content: 'i régió';
}

.property-card .megye:after {
    content: ' megye';
}

.property-card .ar:after {
    content: ' FT-tól';
}

.property-card .post-tag {
    position: absolute;
    z-index: 2;
    top: 20px;
    margin-bottom: 0;
    font-weight: bold;
    text-transform: uppercase;
    color: rgba( 255, 255, 255, 1 );
    background-color: rgba( 32, 178, 126, 1 );
    padding: 5px 30px 5px 30px;
}

.property-card .post-tag.top {
	background-color: #fff;
	border: 2px solid rgba( 32, 178, 126, 1 );
	border-left: none;
	color: rgba( 32, 178, 126, 1 );
	top: 60px;
}

body.home .property-card .post-tag.top {
	top: 20px;
}

.property-card .post-tag.last-minute {
    top: 60px;
	
}




 /* BLOG ARCHIVE PAGE */


 body.archive #page #content {
    padding: 20px 40px 80px 40px;
 }

body.archive > div.bod-block-popup-wrap.undefined.active > div {
    box-shadow: 0px 0px 10px 0px rgb(0 0 0 / 50%);
}

body.archive  div.wp-block-bod-modal-block.bod-block-popup > button {
  color: #ffffff;
    background-image: linear-gradient(180deg, #20b27e, #145566);
    font-size: 14px;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 0.1em;
    padding: 6px 30px 8px 30px;
    border-radius: 10px;
    text-transform: uppercase;
    display: inline-flex;
    align-items: center;
    border: none;
}

body.archive  div.wp-block-bod-modal-block.bod-block-popup > button:hover {
    background-image: linear-gradient(180deg, rgba(32,178,126,0.8) 0%, rgba(20,85,102,0.8) 100%)!important;
}

body.archive #bodModalAriaContent1 > div.bod-block-close-btn > button {
    color: #ffffff;
    background-image: linear-gradient(180deg, #20b27e, #145566);
    font-size: 14px;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 0.1em;
    padding: 10px 20px;
    border-radius: 10px;
    text-transform: uppercase;
    display: inline-flex;
    align-items: center;
    border: none;
}

body.archive #bodModalAriaContent1 > div.bod-block-close-btn > button:hover {
    background-image: linear-gradient(180deg, rgba(32,178,126,0.8) 0%, rgba(20,85,102,0.8) 100%)!important;
}


.blog #page,
.archive #page {
    position: relative;
    z-index: 1;
}
.blog .page-header,
.archive .page-header {
    padding-left: 0;
    padding-bottom: 0;
    margin-left: 30px;
}
.blog .page-title,
.archive .page-title {
    font-size: 48px;
    font-weight: 800;
    margin-top: 30px;
}
.blog article .wp-post-image,
.archive article .wp-post-image {
    width: 100%;
    height: 208px;
    object-fit: cover;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}
.blog article h2.entry-title,
.archive article h2.entry-title {
    font-size: 20px;
}
.blog article h2.entry-title a:hover,
.archive article h2.entry-title a:hover {
    color: #575760;
}

.blog .generate-columns-container,
.archive .generate-columns-container {
    padding: 0 40px;
    margin-left: -30px;
}

.blog .generate-columns-container .inside-article,
.archive .generate-columns-container .inside-article {
    box-shadow: 0px 10px 20px 0px rgba(0,0,0,0.16);
    border-radius: 10px;
    padding: 0 20px 80px;
    position: relative;
    min-height: 505px;
}
.blog .generate-columns-container .inside-article .post-image,
.archive .generate-columns-container .inside-article .post-image {
    margin-left: -20px;
    margin-right: -20px;
    margin-top: 0;
}
.blog .generate-columns-container .inside-article .posted-on,
.archive .generate-columns-container .inside-article .posted-on {
    position: absolute;
    bottom: 20px;
    left: 20px;
    font-size: 14px;
    font-weight: 700;
    color: #333333;
}
.blog .generate-columns-container .inside-article .cat-links,
.archive .generate-columns-container .inside-article .cat-links {
    position: absolute;
    bottom: 320px;
    left: 0;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
}
.blog .generate-columns-container .inside-article .cat-links a,
.archive .generate-columns-container .inside-article .cat-links a {
    background-color: #CA3C25;
    color: #fff;
    font-size: 14px;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 0.1em;
    padding: 2px 20px;
    border-top-right-radius: 13px;
    border-bottom-right-radius: 13px;
    margin-bottom: 2px;
    text-transform: uppercase;
    margin-right: auto;
    margin-top: -20px;
}
.blog .generate-columns-container .inside-article .cat-links a:hover,
.archive .generate-columns-container .inside-article .cat-links a:hover {
    background-color: #145566;
}
.blog .generate-columns-container .inside-article .cat-links .icon-categories,
.archive .generate-columns-container .inside-article .cat-links .icon-categories {
    display: none;
}
.blog .generate-columns-container .inside-article .entry-summary,
.archive .generate-columns-container .inside-article .entry-summary {
    margin-top: 10px;
}
.blog .generate-columns-container .inside-article .read-more,
.archive .generate-columns-container .inside-article .read-more {
    position: absolute;
    bottom: 20px;
    right: 20px;
    color: #20B27E;
    background-color: unset;
    border: none;
    margin-bottom: 0;
    letter-spacing: 0.05em;
    text-transform: uppercase;
    font-weight: 600;
    padding: 0;
}
.blog .generate-columns-container .inside-article .read-more:hover,
.archive .generate-columns-container .inside-article .read-more:hover {
    color: #145566;
    background-color: unset;
}
.blog .generate-columns-container .inside-article .read-more:after,
.archive .generate-columns-container .inside-article .read-more:after {
    content: "";
    display: inline-block;
    background: url("../generatepress_child/img/angle-right-solid.svg") no-repeat top right;
    width: 14px;
    height: 12px;
}
.blog .generate-columns-container .inside-article .read-more:hover:after,
.archive .generate-columns-container .inside-article .read-more:hover:after {
    background: url("../generatepress_child/img/angle-right-solid-hover.svg") no-repeat top right;
}


@media (max-width: 768px) {
    .blog .generate-columns-container,
    .archive .generate-columns-container {
        padding: 0 20px;
    }
    .blog .page-header,
    .archive .page-header {
        padding-top: 0;
        margin-bottom: 20px;
    }
    .blog .page-title,
    .archive .page-title {
        font-size: 34px;
    }
    body.archive > div.bod-block-popup-wrap.undefined.active > div {
        background-color: #f2f2f2;
        border-radius: 10px;
        width: 85%;
        height: 90%;
        margin: 20px auto;
    }
    body.archive .wp-block-toolset-views-custom-search-container .wpv-reset-trigger {
        font-size: 16px;
        text-align: left;
        padding: 12px 0;
    }
}
@media (min-width: 769px) {
    .blog article.featured-column,
    .archive article.featured-column {
        width: 33.3333%;
    }
    .blog .generate-columns-container .generate-columns,
    .archive .generate-columns-container .generate-columns {
        padding-left: 30px;
    }
}
@media (min-width: 768px) and (max-width: 1024px) {
    .blog article.featured-column,
    .archive article.featured-column {
        width: 50%;
    }
}

@media (max-width: 768px) {

    body.archive #page #content {
        padding: 20px 0 80px 0;
     }
     body.archive #bodModalAriaContent1 > div.bod-block-close-btn {
        bottom: 0;
        z-index: 2131231;
        position: sticky;
        top: 0;
        width: 100%;
        left: 0;
        right: 0;
        padding: 10px;
        background: #fff;
        box-shadow: 5px -8px 11px -10px rgb(0 0 0 / 50%);
        margin: 0 calc(50% - 50vw);
        max-width: 100vw;
        width: 100vw;
        text-align: center;
     }
}




/* BLOG SINGLE PAGE */

.single-post #main {
    margin-top: 0;
}
.single-post .featured-image img {
    width: 100%;
    height: 300px;
    object-fit: cover;
}
.single-post #right-sidebar .widget {
    padding: 20px;
}
.single-post #right-sidebar .widget h2 {
    font-size: 24px;
    font-weight: 700;
}



  /* SZÁLLÁSHELY ARCHIVE PAGE */

.post-type-archive-szallashely {
    background-color: #F9F9F9;
}
.post-type-archive-szallashely .wp-block-toolset-views-wpa-editor {
    padding-top: 80px;
}  
.post-type-archive-szallashely .page-header {
    display: none;
}
.post-type-archive-szallashely .title-box {
    margin-bottom: 20px;
}
.post-type-archive-szallashely .title-box h3 {
    margin-bottom: 0;
}

.post-type-archive-szallashely .wp-block-toolset-views-custom-search-container {
    position: relative;
    z-index: 5;
}

.post-type-archive-szallashely .wp-block-toolset-views-custom-search-container .tovabbi-tulajdonsagok {
    margin: 10px 0;
}

.post-type-archive-szallashely .wp-block-toolset-views-custom-search-container .checkbox {
    display: inline-block;
    margin-right: 20px;
}

.post-type-archive-szallashely .wp-block-toolset-views-custom-search-container .wpv-custom-search-filter-submit {
    margin-top: 30px;
}

.post-type-archive-szallashely .wp-block-toolset-views-custom-search-container .checkbox input {
    margin-right: 5px;
}

.post-type-archive-szallashely .wpv-custom-search-filter__label {
    font-weight: 600;
}
.post-type-archive-szallashely .wpv-custom-search-filter__input .form-control {
    border-radius: 24px;
    border: 2px solid #BEBEBE;
    background-color: #fff;
}
.post-type-archive-szallashely .wpv-custom-search-filter-submit input {
    border: none;
    border-radius: 10px;
    background: linear-gradient(180deg, rgba(32,178,126,1) 0%, rgba(20,85,102,1) 100%);
    margin-bottom: 0;
    letter-spacing: 0.05em;
    text-transform: uppercase;
    font-weight: 600;
    box-shadow: 0px 10px 20px 0px rgba(0,0,0,0.16);
    padding: 13px 45px;
}

@media (max-width: 768px) {
    .post-type-archive-szallashely .wp-block-toolset-views-wpa-editor {
        padding: 20px;
    } 
}


  /* REGIO ARCHIVE PAGE */

.tax-regio {
    background-color: #F9F9F9;
}
 
.tax-regio .page-header {
    padding-top: 0;
    margin-bottom: 10px;
    padding-left: 10px;
    background: transparent;
}
.tax-regio .title-box {
    margin-bottom: 40px;
}
.tax-regio .title-box h3 {
    margin-bottom: 0;
}

.tax-regio .wp-block-toolset-views-custom-search-container {
    position: relative;
    z-index: 5;
}

.tax-regio div.wp-block-toolset-views-custom-search-container > form > div > div.wp-block-toolset-blocks-grid.tb-grid > div:nth-child(4) > div > div {
    display: flex;
    column-gap: 25px;
}

.tax-regio .wp-block-toolset-views-custom-search-container .checkbox {
    display: inline-block;
    margin-right: 20px;
}

.tax-regio .wp-block-toolset-views-custom-search-container .wpv-custom-search-filter-submit {
    margin-top: 30px;
}

.tax-regio .wp-block-toolset-views-custom-search-container .checkbox input {
    margin-right: 5px;
}

.tax-regio .wpv-custom-search-filter__label {
    font-weight: 600;
}
.tax-regio .wpv-custom-search-filter__input .form-control {
    border-radius: 24px;
    border: 2px solid #BEBEBE;
    background-color: #fff;
}
.tax-regio .wpv-custom-search-filter-submit input {
    border: none;
    border-radius: 24px;
    background: linear-gradient(180deg, rgba(32,178,126,1) 0%, rgba(20,85,102,1) 100%);
    margin-bottom: 0;
    letter-spacing: 0.05em;
    text-transform: uppercase;
    font-weight: 600;
    box-shadow: 0px 10px 20px 0px rgba(0,0,0,0.16);
    padding: 13px 45px;
}

  /* MEGYE ARCHIVE PAGE */

.tax-megye {
    background-color: #F9F9F9;
} 
.tax-megye .page-header {
    padding-top: 0;
    margin-bottom: 10px;
    padding-left: 10px;
    background: transparent;
}
.tax-megye .title-box {
    margin-bottom: 40px;
}
.tax-megye .title-box h3 {
    margin-bottom: 0;
}

.tax-megye .wp-block-toolset-views-custom-search-container {
    position: relative;
    z-index: 5;
}

.tax-megye div.wp-block-toolset-views-custom-search-container > form > div > div.wp-block-toolset-blocks-grid.tb-grid > div:nth-child(4) > div > div {
    display: flex;
    column-gap: 25px;
}

.tax-megye .wp-block-toolset-views-custom-search-container .checkbox {
    display: inline-block;
    margin-right: 20px;
}

.tax-megye .wp-block-toolset-views-custom-search-container .wpv-custom-search-filter-submit {
    margin-top: 30px;
}

.tax-megye .wp-block-toolset-views-custom-search-container .checkbox input {
    margin-right: 5px;
}

.tax-megye .wpv-custom-search-filter__label {
    font-weight: 600;
}
.tax-megye .wpv-custom-search-filter__input .form-control {
    border-radius: 24px;
    border: 2px solid #BEBEBE;
    background-color: #fff;
}
.tax-megye .wpv-custom-search-filter-submit input {
    border: none;
    border-radius: 24px;
    background: linear-gradient(180deg, rgba(32,178,126,1) 0%, rgba(20,85,102,1) 100%);
    margin-bottom: 0;
    letter-spacing: 0.05em;
    text-transform: uppercase;
    font-weight: 600;
    box-shadow: 0px 10px 20px 0px rgba(0,0,0,0.16);
    padding: 13px 45px;
}


/* POST CARD Gallery */

.property-card .tb-image-slider { 
    max-height: 250px;
 }

 .property-card .tb-image-slider .glide__view img { 
    max-height: 250px;
    object-fit: cover;
    border-radius: 10px 10px 0 0;
    min-height: 250px;
 }

.property-card .tb-image-slider .glide__track {
    visibility: hidden;
    height: 0;
}


  /* SZÁLLÁSHELY SINGLE PAGE */

.single-szallashely .icon-box {
    align-items: center;
}
.single-szallashely .featured-image {
    display: none;
}
.single-szallashely .map iframe {
    width: 100%;
}
.single-szallashely .entry-content {
    margin-top: 0;
}
.single-szallashely .price:after {
    content: ' FT-tól';
}

/* SZÁLLÁSKATEGÓRIÁK */ 

.page-id-2989 .radio {
    display: inline-block;
    margin: 0 10px 5px 0;
}

/*.page-id-2989 .radio input {
    display: none;
}*/

.page-id-2989 .radio label.checked {
      background-color: #1D3D5D;
      color: #fff;
}

.page-id-2989 .radio label {
    background: transparent;
    border: 2px solid #1D3D5D;
    color: #1D3D5D;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
    cursor: pointer;
    padding: 2px 10px;
    border-radius: 8px;
    font-weight: 600;
}


/* ACCOUNT PAGE */

.woocommerce-account .account-page-btn {
    color: #ffffff;
    background-image: linear-gradient(180deg, #20b27e, #145566);
    font-size: 14px;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 0.1em;
    padding: 13px 35px 13px 45px;
    border-radius: 10px;
    text-transform: uppercase;
    display: inline-flex;
    align-items: center;
}

.woocommerce-account .account-page-btn:hover {
    background-image: linear-gradient(180deg, rgba(32,178,126,0.8) 0%, rgba(20,85,102,0.8) 100%)!important;
}

.woocommerce-account .szallashely-neve {
    font-weight: 600;
}

.woocommerce-account .szallashely-szerkeszt {
    text-align: center;
}

.woocommerce-account .szallashely-szerkeszt a {
    color: #ffffff;
    background-image: linear-gradient(180deg, #20b27e, #145566);
    font-size: 14px;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 0.1em;
    padding: 6px 30px 8px 30px;
    border-radius: 10px;
    text-transform: uppercase;
    display: inline-flex;
    align-items: center;
}

.woocommerce-account .szallashely-szerkeszt a:hover {
    background-image: linear-gradient(180deg, rgba(32,178,126,0.8) 0%, rgba(20,85,102,0.8) 100%)!important;
}